Skip site navigation (1) Skip section navigation (2)

Re: Delay in MacPorts packaging

From: Dave Page <dpage(at)pgadmin(dot)org>
To: Jyrki Wahlstedt <jwa(at)wahlstedt(dot)fi>
Cc: pgadmin-hackers <pgadmin-hackers(at)postgresql(dot)org>
Subject: Re: Delay in MacPorts packaging
Date: 2009-12-20 18:32:56
Message-ID: 937d27e10912201032g2e6c811ah90664a6fbf64c41a@mail.gmail.com (view raw or flat)
Thread:
Lists: pgadmin-hackers
On Sun, Dec 20, 2009 at 4:07 PM, Jyrki Wahlstedt <jwa(at)wahlstedt(dot)fi> wrote:
> Hi,
> I'm in the process of packaging pgAdmin 1.10.1 for OS X MacPorts. The status
> is this:
> - wxWidgets 2.8.9 is in use (due to dependencies: wxPython has its own build
> of 2.8.10 not compatible with the wxWidgets stable release, which is not
> quite sane IMHO, but anyway...)
> - wxWidgets must be built 32-bit on 10.6 (it relies on Carbon API in 2.8, no
> 64-bit support for that, 2.9-level is not ready yet)
> - hence pgAdmin must be built 32-bit
> - hence PostgreSQL must be built universal (or 32-bit)
> - however, compiling PostgreSQL (at least 8.4) in 32-bit mode (64-bit is ok)
> leads to an error situation that is not solved yet. I've reported that
> upstream, but I don't have any patch yet. I've had no time to explore that
> in depth, but if I find the culprit, I'll proceed.

Is it actually the 32 bit build that's failing, or a universal build
that includes 32 bit? I have a non-universal 32bit build that works
fine, but using multiple arch flags seems to fail. Not sure why yet -
haven't had the cycles to investigate.


-- 
Dave Page
EnterpriseDB UK: http://www.enterprisedb.com

In response to

Responses

pgadmin-hackers by date

Next:From: Jyrki WahlstedtDate: 2009-12-20 19:09:45
Subject: Re: Delay in MacPorts packaging
Previous:From: Jyrki WahlstedtDate: 2009-12-20 16:07:54
Subject: Delay in MacPorts packaging

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group